Description

It is very easy to get wrong when doing analyses if map units are in degrees (one common case: buffer > user type 100, meaning meters,

and ends up with huge balloons covering the whole world).

To prevent this, CRS units could be used in the analysis dialog, maybe even in red/italic/bold when these are degrees.

See https://lists.osgeo.org/pipermail/qgis-developer/2017-March/047372.html for a discussion on this.

Associated revisions

Revision 6a262566 - 2018-04-20 10:27 AM - Nyall Dawson

[processing] Add dedicated "distance" parameter

This is a subclass of QgsProcessingParameterNumber, but specifically

for numeric parameters which represent distances. It is linked

to a parent parameter, from which the distance unit will

be determined, and is shown using a dedicated distance widget

within the processing parameters panel. This widget shows

the distance unit.

This avoids the confusion when running algorithms which

use distances where the unit depends on a layer or CRS parameter -

e.g. the distance parameter in the buffer algorithm gives

the distance in layer units... so now we can show those units

directly within the dialog. Hopefully this leads to less

user confusion and accidental "1000 degree buffers"!

Additionally - if the unit is in degrees, a small warning

icon is shown next to the parameter. The tooltip for this

icon advises users to reproject data into a suitable

projected local coordinate system.

Initially implemented for the native buffer and single

sided buffer algorithm only - but more will be added.

Fixes #16290

History

#1 - 2017-03-05 09:59 PM - Paolo Cavallini

- Subject changed from Processing: wanr user when units are in degrees to Processing: warn user when units are in degrees

#2 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2018-02-24 03:25 PM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

- Description updated

Even more of a problem now that reprojection is done transparently to the user.

#4 - 2018-04-20 10:26 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6a2625664e341f676808fb39fa40347d843aa955.
